Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.comp
Class InputOutputNeuron

    java.lang.Object
      org.neuroph.core.Neuron
          org.neuroph.nnet.comp.InputOutputNeuron

All Implemented Interfaces:
  java.io.Serializable

    public class InputOutputNeuron

extends Neuron

Provides behaviour specific for neurons which act as input and the output neurons within the same layer. For example in Hopfield network and BAM.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.Neuron
`error, inputConnections, inputFunction, netInput, outConnections, output, parentLayer, transferFunction`

Constructor Summary
`InputOutputNeuron()` Creates an instance of neuron for Hopfield network
`InputOutputNeuron(InputFunction inFunc, TransferFunction transFunc)` Creates an instance of neuron for Hopfield network with specified input and transfer functions

Method Summary
`void` | `calculate()` Calculates neuron output
`double` | `getBias()` Returns bias value for this neuron
`void` | `setBias(double bias)` Sets bias value for this neuron
`void` | `setInput(double input)` Sets total net input for this cell

Methods inherited from class org.neuroph.core.Neuron
`addInputConnection, addInputConnection, addInputConnection, addOutputConnection, getConnectionFrom, getError, getInputConnections, getInputFunction, getInputsIterator, getNetInput, getOutConnections, getOutput, getParentLayer, getTransferFunction, getWeightsVector, hasInputConnections, initializeWeights, initializeWeights, initializeWeights, randomizeInputWeights, removeInputConnectionFrom, reset, setError, setInputFunction, setOutput, setParentLayer, setTransferFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputOutputNeuron

    public InputOutputNeuron()

  Creates an instance of neuron for Hopfield network

### InputOutputNeuron

    public InputOutputNeuron(InputFunction inFunc,
                             TransferFunction transFunc)

  Creates an instance of neuron for Hopfield network with specified input and transfer functions

  Parameters:
    `inFunc` - neuron input function
    `transFunc` - neuron transfer function

Method Detail

### setInput

    public void setInput(double input)

  Sets total net input for this cell

  Overrides:
    `setInput` in class `Neuron`
  Parameters:
    `input` - input value

### getBias

    public double getBias()

  Returns bias value for this neuron

  Returns:
    bias value for this neuron

### setBias

    public void setBias(double bias)

  Sets bias value for this neuron

  Parameters:
    `bias` - bias value for this neuron

### calculate

    public void calculate()

  Calculates neuron output

  Overrides:
    `calculate` in class `Neuron`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD